Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleUnresolvedList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  javax.management.relation.RoleUnresolvedList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class RoleUnresolvedList
extends java.util.ArrayList

A RoleUnresolvedList represents a list of RoleUnresolved objects, representing roles not retrieved from a relation due to a problem encountered when trying to access (read or write to roles).

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RoleUnresolvedList()` Constructs an empty RoleUnresolvedList.
`RoleUnresolvedList(int theInitialCapacity)` Constructs an empty RoleUnresolvedList with the initial capacity specified.
`RoleUnresolvedList(java.util.List theList)` Constructs a RoleUnresolvedList containing the elements of the List specified, in the order in which they are returned by the List's iterator.

Method Summary
`void` | `add(int index, RoleUnresolved theRoleUnres)` Inserts the unresolved role specified as an element at the position specified.
`void` | `add(RoleUnresolved theRoleUnres)` Adds the RoleUnresolved specified as the last element of the list.
`boolean` | `addAll(int index, RoleUnresolvedList theRoleUnresolvedList)` Inserts all of the elements in the RoleUnresolvedList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
`boolean` | `addAll(RoleUnresolvedList theRoleUnresolvedList)` Appends all the elements in the RoleUnresolvedList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
`void` | `set(int index, RoleUnresolved theRoleUnres)` Sets the element at the position specified to be the unresolved role specified.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### RoleUnresolvedList

    public RoleUnresolvedList()

  Constructs an empty RoleUnresolvedList.

### RoleUnresolvedList

    public RoleUnresolvedList(int theInitialCapacity)

  Constructs an empty RoleUnresolvedList with the initial capacity specified.

Parameters:
  `theInitialCapacity` - initial capacity

### RoleUnresolvedList

    public RoleUnresolvedList(java.util.List theList)
                       throws java.lang.IllegalArgumentException

  Constructs a RoleUnresolvedList containing the elements of the List specified, in the order in which they are returned by the List's iterator. The RoleUnresolvedList instance has an initial capacity of 110% of the size of the List specified.

Parameters:
  `theList` - list of RoleUnresolved objects
Throws:
  `java.lang.IllegalArgumentException` - if:

  - null parameter

  or

  - an element in the List is not a RoleUnresolved

Method Detail

### add

    public void add(RoleUnresolved theRoleUnres)
             throws java.lang.IllegalArgumentException

  Adds the RoleUnresolved specified as the last element of the list.

  Parameters:
    `theRoleUnres` - - the unresolved role to be added.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.

### add

    public void add(int index,
                    RoleUnresolved theRoleUnres)
             throws java.lang.IllegalArgumentException,
                    java.lang.IndexOutOfBoundsException

  Inserts the unresolved role specified as an element at the position specified. Elements with an index greater than or equal to the current position are shifted up.

  Parameters:
    `index` - - The position in the list where the new RoleUnresolved object is to be inserted.
    `theRoleUnres` - - The RoleUnresolved object to be inserted.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.
    `java.lang.IndexOutOfBoundsException` - if index is out of range (`index < 0 || index > size()`).

### set

    public void set(int index,
                    RoleUnresolved theRoleUnres)
             throws java.lang.IllegalArgumentException,
                    java.lang.IndexOutOfBoundsException

  Sets the element at the position specified to be the unresolved role specified. The previous element at that position is discarded.

  Parameters:
    `index` - - The position specified.
    `theRoleUnres` - - The value to which the unresolved role element should be set.
  Throws:
    `java.lang.IllegalArgumentException` - if the unresolved role is null.
    `java.lang.IndexOutOfBoundsException` - if index is out of range (`index < 0 || index >= size()`).

### addAll

    public boolean addAll(RoleUnresolvedList theRoleUnresolvedList)
                   throws java.lang.IndexOutOfBoundsException

  Appends all the elements in the RoleUnresolvedList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.

  Parameters:
    `theRoleUnresolvedList` - - Elements to be inserted into the list (can be null).
  Returns:
    true if this list changed as a result of the call.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if accessing with an index outside of the list.

### addAll

    public boolean addAll(int index,
                          RoleUnresolvedList theRoleUnresolvedList)
                   throws java.lang.IllegalArgumentException,
                          java.lang.IndexOutOfBoundsException

  Inserts all of the elements in the RoleUnresolvedList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.

  Parameters:
    `index` - - Position at which to insert the first element from the RoleUnresolvedList specified.
    `theRoleUnresolvedList` - - Elements to be inserted into the list.
  Returns:
    true if this list changed as a result of the call.
  Throws:
    `java.lang.IllegalArgumentException` - if the role is null.
    `java.lang.IndexOutOfBoundsException` - if index is out of range (`index < 0 || index > size()`).

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.